# eric3.XML.TasksWriter

Module implementing the writer class for writing an XML tasks file.

### Classes

TasksWriter | Class implementing the writer class for writing an XML tasks file.

### Functions

None

## TasksWriter

Class implementing the writer class for writing an XML tasks file.

### Derived from

XMLWriterBase

### Methods

TasksWriter | Constructor
writeXML | Public method to write the XML to the file.

### TasksWriter (Constructor)

TasksWriter(file, forProject=0, projectName="")

Constructor

file
  open file (like) object for writing
forProject
  flag indicating project related mode (boolean)
projectName
  name of the project (string)

### TasksWriter.writeXML

writeXML()

Public method to write the XML to the file.

Up